extends layout

block content
  p.text-grey-dark
    a.fa.fa-home(href="/")
    |
    | &raquo;
    |
    a(href="/admin/") Admin
    |
    | &raquo;
    |
    span Locations

  #app
    .float-right
      a.btn.btn-primary.new-location(@click.prevent="onClickNewLocation" href="new")
        span.fa.fa-plus
        |
        | New Location

    h2 Locations

    table
      thead
        tr
          th(width="10%") Id
          th(width="30%") Title
          th(width="40%") Description
          th(width="20%").text-right Actions
      tbody
        tr(v-for="location in locations" :key="location.id")
          td {{ location.id }}
          td
            a(href="#") {{ location.title }}
          td {{ location.description }}
          td.text-right
            button.btn-icon.btn-primary-outline.fa.fa-pencil(title="Edit Location" @click.prevent="onClickEdit(location)")
            button.btn-icon.btn-primary-outline.fa.fa-trash-o(title="Delete Location" @click.prevent="onClickDelete(location)")

    .modal(v-cloak v-show="show.form" @click.self.prevent="onClickModalBackground")
      .modal-body(class="sm:w-5/6 md:w-3/5 lg:w-1/2 xl:w-2/5 md:relative md:rounded md:h-auto md:shadow")

        .float-right
          a.fa.fa-times(href="." @click.self.prevent="onClickClose")

        h3(v-if="id") Edit Location
        h3(v-else) New Location

        div.text-red.bg-red-lightest.border.border-solid.p-4.mb-4.border-red(v-if="err") {{ err }}

        .w-full
          form.bg-white.shadow-md.rounded.px-8.pt-6.pb-8.mb-4(method="post" action="/admin/location/new" enctype="multipart/form-data" @submit.prevent="onSubmit")
            input(v-if="id" type="hidden" name="id" v-model="id")
            .mb-4
              label.block.text-grey-darker.text-sm.font-bold.mb-2(for="title") Title
              input#title.shadow.appearance-none.border.rounded.w-full.py-2.px-3.text-grey-darker.leading-tight(
                type="text"
                name="title"
                ref="title"
                placeholder="Middle Shelf"
                v-model="title"
                :disabled="areInputsDisabled"
              )
            .mb-4
              label.block.text-grey-darker.text-sm.font-bold.mb-2(for="description") Description
              textarea#description.shadow.appearance-none.border.rounded.w-full.py-2.px-3.text-grey-darker.leading-tight(
                type="text"
                name="description"
                placeholder="This book is ..."
                rows="3"
                v-model="description"
                :disabled="areInputsDisabled"
              )
            .flex.items-center.justify-end
              button.btn.btn-primary(type="submit" :disabled="isSubmitDisabled")
                span.fa(:class="submitIcon")
                |
                |
                span(v-if="!id") Create Location
                span(v-else) Save Location
              button.btn.btn-primary-outline(type="button" :disabled="loading" @click.prevent="onClickCancel") Cancel

block scripts
  script(src="/s/v/axios-v0.18.0/axios.min.js")
  script(src="/s/v/vue-v2.5.16/vue.min.js")
  script(src="/s/js/admin_location.js")
